Bug 127002 - General Problems when Evolution is NOT installed
General Problems when Evolution is NOT installed
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-30 10:50 EDT by Jeffrey Silverman
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 17:01:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Silverman 2004-06-30 10:50:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Hi. I don't like Evolution and I don't use Evolution -- I use Mozilla
Mail instead. Thus, I did not install Evolution as part of my Fedora
Core 2 new installation.

Now I notice several oddities.  Mostly configuration problems, and
they are all along the lins of "file not found" because some
componenet -- image or icon or default config of the FC2 desktop -- is
missing or misconfigured because Evolution is not found.

Notably, the ones I've found are:

1) In Gnome, choosing a different Theme (RedHat->Preferences->Themes)
will give an error when switching to a different theme. The error is
"Failed to load image redhat-email.png

Details: Failed to open file
'/usr/share/icons/hicolor/48x48/apps/redhat-email.png': No such file
or directory"

Doing "ls /usr/share/icons/hicolor/48x48/apps/redhat-email.png" shows
that there is a symbolic link to a file that exists only if Evolution
is installed:
> ls -l /usr/share/icons/hicolor/48x48/apps/redhat-email.png
lrwxrwxrwx  1 root root 44 Jun 22 12:07
/usr/share/icons/hicolor/48x48/apps/redhat-email.png ->
/usr/share/evolution/1.4/glade/evolution.png


2) The default mail client for FC2 in both Gnome and KDE is Evolution.
Even if Evo is not installed!  So the "Mail" icon on the default
taskbar for both desktops is linked to Evo, and an error comes up when
clicked along the lines of "file or program 'evolution' not found"

So there it is. Not life-threatening, but something that would be nice
to have.  A way for the default themes and desktop (and any other
broken component) to be a little smarter about the default email client.


Version-Release number of selected component (if applicable):
N/A

How reproducible:
Always

Steps to Reproduce:
1. Install FC2, but choose to NOT install the package "Evolution"
2. Try clicking the default desktop "email client" icon or changing
themes in Gnome

    

Actual Results:  Error "File not found" or similar

Expected Results:  No errors should occur

Additional info:
Comment 1 Dave Malcolm 2004-07-02 20:13:20 EDT
This isn't an evolution bug, but a collection of bugs in the various
packages that make the assumption that evolution is installed.

Please can you break this down into separate bugs, filing them against
the specific components that have problems when Evolution isn't installed.

Marking as NEEDINFO - please post the bug numbers of any new bugs here
before I close this one (for the sake of completeness).  Thanks!
Comment 2 Jeffrey Silverman 2004-07-03 08:01:57 EDT
I don't know what packages are involved.  How can I figure that out?

The items affected in my original post are the default Gnome and KDE
mail client (or, rather, the default desktop panel for each desktop as
configured by the Fedora group) and various Gnome themes which link to
the redhat-email.png icon.

Those are the only two I've seen, but there are probably additional
similar items.
Comment 3 Craig Routledge 2004-07-29 13:56:47 EDT
Submitted the icon problem at bug #128800 (package gnome-icon-theme)
Comment 4 Craig Routledge 2004-12-28 20:21:59 EST
For Gnome in Fedora Core 3, the mail icon on the panel now calls the
default mail client as selected by the user.

I don't have KDE installed.  Perhaps someone else can check that.

Comment 5 Matthew Miller 2005-04-26 12:04:55 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 John Thacker 2006-10-25 17:01:40 EDT
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Sounds like it's fixed as of FC3.

Note You need to log in before you can comment on or make changes to this bug.